Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.roads
Interface LayerView

All Known Implementing Classes:
  MultiRoadLayer, VPFRoadLayer

public interface LayerView

Services the layer provides to the road layer helper.

Method Summary
`java.util.List` | `getGraphicList()` Should return a flattened list of road OMGraphics.
`Projection` | `getProjection()` Needed to find the height and width of the displayed routes, etc.
`void` | `setExtraGraphics(java.util.List toDraw)` Draw extra OMGraphics (intersections, to debug the road layer), a callback method to the LayerView to let it know what the RoadFinder is doing.

Method Detail

### getProjection

    public Projection getProjection()

  Needed to find the height and width of the displayed routes, etc.

### getGraphicList

    public java.util.List getGraphicList()

  Should return a flattened list of road OMGraphics. No embedded OMGraphicLists.

### setExtraGraphics

    public void setExtraGraphics(java.util.List toDraw)

  Draw extra OMGraphics (intersections, to debug the road layer), a callback method to the LayerView to let it know what the RoadFinder is doing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details